Bug 134649 - FILESAVE DOCX Section break between tables disappears
Summary: FILESAVE DOCX Section break between tables disappears
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables DOCX-Section
  Show dependency treegraph
 
Reported: 2020-07-08 11:21 UTC by NISZ LibreOffice Team
Modified: 2020-10-08 08:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (19.14 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-08 11:21 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (61.99 KB, image/png)
2020-07-08 11:22 UTC, NISZ LibreOffice Team
Details
The example file saved by LO7 (13.36 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-08 11:22 UTC, NISZ LibreOffice Team
Details
Screenshot of the exported document side by side in Word and Writer (44.12 KB, image/png)
2020-07-08 11:23 UTC, NISZ LibreOffice Team
Details
Reproducer document from Writer (9.36 KB, application/vnd.oasis.opendocument.text)
2020-07-14 07:07 UTC, NISZ LibreOffice Team
Details
The reproducer document saved as docx (4.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-14 07:09 UTC, NISZ LibreOffice Team
Details
Screenshot of the reproducer document and its docx version (163.26 KB, image/png)
2020-07-14 07:13 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-08 11:21:23 UTC
Created attachment 162794 [details]
Example file from Word

Attached file is made in Word 2013 and contains two tables on two pages that are separated by a section break, so that the first page can be portrait and the second can be landscape.
This is imported in Writer correctly, but on saving the section break disappears.

Steps to reproduce:
    1. Open attached document in Writer
    2. Save as DOCX

Actual results:
Section break disappears, document is one page long instead of two.

Expected results:
Section break is retained.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 9af38b4504ccda57a0c32eb8bdd03e5a8ca29ddc
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also happens in:
Verzió: 6.0.0.3
Build az.: 64a0f66915f38c6217de274f0aa8e15618924765
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)

Version: 4.3.0.4
Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec0

In earlier versions the section break is not even imported.
Comment 1 NISZ LibreOffice Team 2020-07-08 11:22:01 UTC
Created attachment 162795 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 NISZ LibreOffice Team 2020-07-08 11:22:39 UTC
Created attachment 162796 [details]
The example file saved by LO7
Comment 3 NISZ LibreOffice Team 2020-07-08 11:23:00 UTC
Created attachment 162797 [details]
Screenshot of the exported document side by side in Word and Writer
Comment 4 Durgapriyanka 2020-07-08 20:11:14 UTC
Thank you for reporting the bug. I can confirm the bug present in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
	

and in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 NISZ LibreOffice Team 2020-07-14 07:07:45 UTC
Created attachment 162999 [details]
Reproducer document from Writer

It's also possible to break this by inserting a page break in Writer after a table, then deleting the empty paragraph that was automatically added after the table insert. 
This way the table-pagebreak-table combination can be created and is retained fine in odt, but not in docx.
Comment 6 NISZ LibreOffice Team 2020-07-14 07:09:02 UTC
Created attachment 163000 [details]
The reproducer document saved as docx

Made with:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 50889effe57d9e28ecd9403ea0d695ecd73ac791
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

from bibisect-7.1 10 days ago
Comment 7 NISZ LibreOffice Team 2020-07-14 07:13:02 UTC
Created attachment 163001 [details]
Screenshot of the reproducer document and its docx version
Comment 8 Commit Notification 2020-09-02 06:02:12 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4a96b2b7787900b6ca45e772daa0fc284b3a4e0f

tdf#134649 DOCX export: fix page break between tables

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NISZ LibreOffice Team 2020-10-08 08:49:26 UTC
Verified in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: a3b4831208da615789bd1e2d5660dd130807f504
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks, László :)